Subject: bug#23189: Emacs hangs in GC mark phase after making an edit to a markdown document (OS X 10.11) [25.1.50.1]

From: Stefan Kangas <[email-masked]>
Date: Tue, 11 Aug 2020 19:52:07 -0700

Alan Third <[email-masked]> writes:

> Tom Jakubowski <[email-masked]> writes:
>
>> Hello,
>>
>> I'm using GNU Emacs 25.1.50.1 on Mac OS X 10.11. I've been able to reproduce this hang a couple times, the gist of it is:
>>
>> 1. Open a specific markdown document (using markdown-mode, from MELPA).
>> 2. Make a specific change to this document (deleting one line)
>> 3. Emacs hangs
>>
>> I attached lldb (sorry Richard :-)) to it and discovered a stack trace 4000
>> frames deep, almost all of which were in functions named things like
>> "mark_vector" and "mark_object". I've attached the stack trace to this
>> email. A few choice lines:
>
> Hi, is there any chance you'd be able to build from Emacs master and try
> it? There was a recent change to stack handling that may be relevant.

That was 4 years ago.

Are you still seeing this on a recent version of Emacs?

Best regards,
Stefan Kangas